Skip to content

Returns the exact permission catalog for one Board resource kind.

GET
/api/workspace/admin/boards/boards/{boardId}/security/profiles/{resourceKind}/permissions
curl --request GET \
--url https://example.com/api/workspace/admin/boards/boards/example/security/profiles/example/permissions
  • None
boardId
required
string
resourceKind
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Returns the Entity permission descriptors used by the Permission UI.

object
Permissions
required
Array<object>

Describes one assignable permission.

object
PermissionId
required
string
PermissionKey
required
string
Category
required
string
SelectorKey
string
nullable
ParentPermissionKey
string
nullable
ValueFamily
string
nullable
SupportsCreate
required
boolean
SupportsExisting
required
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Unauthorized

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}